<?php
/*
    CREATIVE COMMONS - Attribution-No Derivative Works 3.0 Germany:
    - You may not alter, transform, or build upon this work.
    - Dieses Werk darf nicht bearbeitet oder in anderer Weise verändert werden.
*/
      echo '<p class="Headline">'.$L_Headline04.'</p>';
      if ( !loggedIn() ) { echo $L_003; }
      else
      {
        // Inhalt hier einfügen
          foreach ($_POST as $key => $value) {
            $$key = stripslashes($value); }
      	 
          $FrontendCssFile = "";
          $GuestbookEntriesUnlock = "";
      	 
          if (!isset($_POST['FrontendAllowOptionalGigs'])) { $FrontendAllowOptionalGigs=0; }
          if (!isset($_POST['FrontendAllowPrivateGigs'])) { $FrontendAllowPrivateGigs=0; }
          if (!isset($_POST['SetupAllowDoubleDates'])) { $SetupAllowDoubleDates=0; }
          if (!isset($_POST['SetupFrontendCalendarShowTableHeads'])) { $SetupFrontendCalendarShowTableHeads=0; }
          if (!isset($_POST['SetupFrontendCalendarShowMonthlySeparator'])) { $SetupFrontendCalendarShowMonthlySeparator=0; }
          if (!isset($_POST['SetupShowEditorInAddGigForm'])) { $SetupShowEditorInAddGigForm=0; }
          
          // HTML- und PHP-Tags entfernen
          
          $Refreshtime = strip_tags($Refreshtime);
      	  $RowsTextareas = strip_tags($RowsTextareas);
          $ExportSeparator = strip_tags($ExportSeparator);
          $GuestbookEntriesPerPage = strip_tags($GuestbookEntriesPerPage);
          $GuestbookMail = strip_tags($GuestbookMail);
        	$FrontendCssFile = strip_tags($FrontendCssFile);
        	$GuestbookEntriesUnlock = strip_tags($GuestbookEntriesUnlock);
          $GuestbookSpamDomains = strip_tags($GuestbookSpamDomains);
          $GuestbookSpamIPs = strip_tags($GuestbookSpamIPs);
          $GuestbookSpamWords = strip_tags($GuestbookSpamWords);
          $UserMaximumInactivityTime = strip_tags($UserMaximumInactivityTime);
          $NewsEntriesPerPage = strip_tags($NewsEntriesPerPage);
          $SetupCalendarAttributeInAddGigForm  = strip_tags($SetupCalendarAttributeInAddGigForm);
          $SetupFrontendAttributes  = strip_tags($SetupFrontendAttributes);
          $SetupFrontendDetailAttributes  = strip_tags($SetupFrontendDetailAttributes);
          $SetupNewsChannelTitle = strip_tags($SetupNewsChannelTitle);
          $SetupNewsChannelURL = strip_tags($SetupNewsChannelURL);
          $SetupNewsChannelDescription = strip_tags($SetupNewsChannelDescription);
          $SetupNewsChannelLanguage = strip_tags($SetupNewsChannelLanguage);
          $SetupNewsChannelCopyright = strip_tags($SetupNewsChannelCopyright);
          $SetupFrontendCalendarCharsInFields = strip_tags($SetupFrontendCalendarCharsInFields);
          $SetupFrontendCalendarSelector = strip_tags($SetupFrontendCalendarSelector);
          $SetupFrontendCalendarMaxAmountOfGigs = strip_tags($SetupFrontendCalendarMaxAmountOfGigs);
          $SetupFrontendCalendarPeriodSelector = strip_tags($SetupFrontendCalendarPeriodSelector);

        	 if ( editSetup ( $Refreshtime,
                            $RowsTextareas,
                            $ExportSeparator,
                            $FrontendLanguage,
                            $GuestbookEntriesPerPage,
                            $GuestbookMail,
                            $FrontendCssFile,
                            $GuestbookEntriesUnlock,
                            $GuestbookSpamDomains,
                            $GuestbookSpamIPs,
                            $GuestbookSpamWords,
                            $UserMaximumInactivityTime,
                            $NewsEntriesPerPage,
                            $FrontendAllowOptionalGigs,
                            $FrontendAllowPrivateGigs,
                            $SetupAllowDoubleDates,
                            $SetupCalendarAttributeInAddGigForm,
                            $SetupFrontendAttributes,
                            $SetupFrontendDetailAttributes,
                            $SetupNewsChannelTitle,
                            $SetupNewsChannelURL,
                            $SetupNewsChannelDescription,
                            $SetupNewsChannelLanguage,
                            $SetupNewsChannelCopyright,
                            $SetupFrontendCalendarCharsInFields,
                            $SetupFrontendCalendarShowTableHeads,
                            $SetupFrontendCalendarSelector,
                            $SetupFrontendCalendarMaxAmountOfGigs,
                            $SetupFrontendCalendarPeriodSelector,
                            $SetupFrontendCalendarShowMonthlySeparator,
                            $SetupShowEditorInAddGigForm))
      	 {
        	   echo $L_057.'<br />';
      	 }
      	 else
      	 {
        	   echo $L_058.'<br />';
      	 }
        // Inhalt zuende
      }
    ?>